Subject: Re: What's cooking in git.git (Apr 2017, #04; Wed, 19)

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Apr 2017 23:52:28 -0700

Johannes Sixt <[email-masked]> writes:

> The idea of marking git-gui and gitk histories that none of their
> commits is checked out: it erases all Git source code from the working
> directory, and a later bisection step places all code back and it
> requires a full build. Not a big deal with Git, but there are much
> larger code bases.
>
> The current bisect behavior makes this idea unworkable. For me, it was
> a big step backwards when it was implemented. :-(

I think it is sort-of unfair to blame bisect for that.  It talks
more about how "coolest merge evar!" cross project merges are
unworkable in practice.  With a proper submodule support, nobody
should be doing it, but we started the cross project merge way
before we had submodules, so...